Skip to main content
GET
/
api
/
v1
/
conversations
/
{conversation_id}
/
messages
List Messages
curl --request GET \
  --url https://api.member.dev/api/v1/conversations/{conversation_id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "conversation_id": "<string>",
        "author_contact_id": "<string>",
        "body": "<string>",
        "created_at": "<string>",
        "edited_at": "<string>",
        "is_deleted": true
      },
      "id": "<string>",
      "type": "<string>",
      "links": {
        "self": "<string>"
      },
      "meta": {},
      "relationships": {}
    }
  ],
  "included": [
    "<unknown>"
  ],
  "links": {
    "next": "<string>",
    "self": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

conversation_id
string
required

Query Parameters

page[after]
string | null
page[size]
integer | null
Required range: 1 <= x <= 100

Response

Successful Response

data
JsonApiResource[MessageResponseAttributes] · object[]
required
included
any[] | null
meta
Meta · object